Bug 232830 - lang/ficl: Version 4.x build doesn't support compatibility mode
Summary: lang/ficl: Version 4.x build doesn't support compatibility mode
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-30 21:33 UTC by kbw
Modified: 2020-03-08 17:28 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pavelivolkov)


Attachments
patch (1.61 KB, patch)
2018-11-04 11:54 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
build log (6.01 KB, text/plain)
2018-11-04 11:57 UTC, Pavel Volkov
no flags Details
portlint log (14.81 KB, text/plain)
2018-11-04 11:57 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kbw 2018-10-30 21:33:06 UTC
Compatibility mode is switched on by defining FICL_WANT_COMPATIBILITY.

Perhaps this could be a config option.
Comment 1 Pavel Volkov 2018-11-04 11:54:38 UTC
Created attachment 198935 [details]
patch

Added options for change compatibility and minimalist mode. Added tuning for platform and architecture definition.  Reordered sections in the Makefile.
Comment 2 Pavel Volkov 2018-11-04 11:57:09 UTC
Created attachment 198936 [details]
build log
Comment 3 Pavel Volkov 2018-11-04 11:57:43 UTC
Created attachment 198937 [details]
portlint log
Comment 4 Tobias C. Berner freebsd_committer 2019-11-09 19:08:01 UTC
Is this still relevant?
Comment 5 Tobias C. Berner freebsd_committer 2020-03-08 17:28:08 UTC
Moin moin 

please reopen if this was still relevant.


mfg Tobias